Subject: Re: [BUG -next] ./usr/include/cxl/features.h:11:10: fatal error: uuid/uuid.h: No such file or directory

From: Venkat Rao Bagalkote <[email-masked]>
Date: Wed, 2 Apr 2025 11:57:04 +0530

On 02/04/25 9:51 am, Paul E. McKenney wrote:
> On Wed, Apr 02, 2025 at 11:47:22AM +1100, Stephen Rothwell wrote:
>> Hi all,
>>
>> On Tue, 1 Apr 2025 17:18:23 -0700 Dave Jiang <[email-masked]> wrote:
>>>> I of course do have some concerns about the number of userspace packages
>>>> that might be required if CXL is adding seven of them...  ;-)
>>> Technically it's only 1 package. libuuid-devel. Do the other 6 come
>>> with the installation of libuuid-devel
>>> ?
I had to install only libuuid-devel on my system for this to work.
>> On my debian build machine, I only need uuid-dev and libuuid1 installed ...
> And libuuid-devel works on my Fedora systems.
>
> So the various kernel-build howtos will be updated?  Or is a patch
> forthcoming?
>
> 							Thanx, Paul

FYI, now the issue is on the main line kernel also.

Regards,

Venkat.